## xdg-desktop-portal-kde 5.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(xdg-desktop-portal-kde)

set(PROJECT_VERSION "5.17.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.62.0")

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)

find_package(PipeWire)
set_package_properties(PipeWire PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

find_package(GBM)
set_package_properties(GBM PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

find_package(Epoxy)
set_package_properties(Epoxy PROPERTIES DESCRIPTION "libepoxy"
    URL "http://github.com/anholt/libepoxy"
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

if (PipeWire_FOUND AND GBM_FOUND AND Epoxy_FOUND)
    set (SCREENCAST_ENABLED true)
else()
    set (SCREENCAST_ENABLED false)
endif()
add_definitions(-DSCREENCAST_ENABLED=${SCREENCAST_ENABLED})

add_feature_info ("Screencast portal" ${SCREENCAST_ENABLED} "Support for screen sharing")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    DBus
    PrintSupport
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    CoreAddons
    Config
    I18n
    KIO
    Notifications
    Wayland
    WidgetsAddons
    WindowSystem
)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
xdg-desktop-portal-kde (5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Build with libpipewire-0.3-dev (Closes: #969613)
  * Add patches from upstream to detect PipeWire 0.3 correctly,
    and other PipeWire fixes from v5.18.1

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 07:45:46 +0200

xdg-desktop-portal-kde (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:38:50 +0100

xdg-desktop-portal-kde (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Alexander Volkov ]
  * Add dependency on xdg-desktop-portal

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake
  * Add libepoxy build dep.
    Thanks to Askar Safin (Closes: 941856)

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - add libgbm-dev, and libpipewire-0.2-dev for screencast support
      (related to #941856)
    - remove unused dbus-x11
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 10:52:41 +0100

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               libcups2-dev,
               libepoxy-dev,
               libgbm-dev,
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5notifications-dev (>= 5.62.0~),
               libkf5wayland-dev (>= 4:5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libkf5windowsystem-dev (>= 5.62.0~),
               libpipewire-0.3-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev,
Standards-Version: 4.5.0
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.17.90

=== debian/changelog ===
xdg-desktop-portal-kde (5.17.90-0ubuntu1) focal; urgency=medium

  * Update build depends according to cmake.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:10:17 +0000

xdg-desktop-portal-kde (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:46 +0000

## xdg-desktop-portal-kde 5.18.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:46:04 +0000

## xdg-desktop-portal-kde 5.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.17.5")
+set(PROJECT_VERSION "5.18.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.62.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 ################# set KDE specific information #################
 
@@ -16,6 +16,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 
 include(FeatureSummary)
 
@@ -33,7 +34,7 @@
 
 find_package(Epoxy)
 set_package_properties(Epoxy PROPERTIES DESCRIPTION "libepoxy"
-    URL "http://github.com/anholt/libepoxy"
+    URL "https://github.com/anholt/libepoxy"
     TYPE OPTIONAL
     PURPOSE "Required for screencast portal"
 )
@@ -52,6 +53,7 @@
     Concurrent
     DBus
     PrintSupport
+    QuickWidgets
     Widgets
 )
 
@@ -59,8 +61,11 @@
     CoreAddons
     Config
     I18n
+    Declarative
     KIO
+    Kirigami2
     Notifications
+    Plasma
     Wayland
     WidgetsAddons
     WindowSystem
@@ -68,11 +73,16 @@
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
 endif()
 
 add_subdirectory(data)
 add_subdirectory(src)
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 find_package(KF5I18n CONFIG REQUIRED)

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:50 +0000

## xdg-desktop-portal-kde 5.18.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.18.1")
+set(PROJECT_VERSION "5.18.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:32:01 +0000

## xdg-desktop-portal-kde 5.18.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.18.2")
+set(PROJECT_VERSION "5.18.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
@@ -73,7 +73,7 @@
 
 if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
    add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 endif()
 
 add_subdirectory(data)

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:59 +0000

## xdg-desktop-portal-kde 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.18.3")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="xdg-desktop-portal-kde")

include_directories(${Qt5PrintSupport_PRIVATE_INCLUDE_DIRS})

set(xdg_desktop_portal_kde_SRCS
    xdg-desktop-portal-kde.cpp
    access.cpp
    accessdialog.cpp
    appchooser.cpp
    appchooserdialog.cpp
    desktopportal.cpp
    email.cpp
    filechooser.cpp
    inhibit.cpp
    notification.cpp
    print.cpp
    request.cpp
    session.cpp
    screenshot.cpp
    screenshotdialog.cpp
    settings.cpp
    utils.cpp
)

if (SCREENCAST_ENABLED)
    set (xdg_desktop_portal_kde_SRCS
         ${xdg_desktop_portal_kde_SRCS}
         screencast.cpp
         screencaststream.cpp
         screencastwidget.cpp
         screenchooserdialog.cpp
         remotedesktop.cpp
         remotedesktopdialog.cpp
         waylandintegration.cpp)

    ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
                  screenchooserdialog.ui
                  remotedesktopdialog.ui)
endif()

ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
    accessdialog.ui
    appchooserdialog.ui
    screenshotdialog.ui
)

add_executable(xdg-desktop-portal-kde ${xdg_desktop_portal_kde_SRCS})

target_link_libraries(xdg-desktop-portal-kde
    Qt5::Core
    Qt5::DBus
    Qt5::Concurrent
    Qt5::PrintSupport
    Qt5::QuickWidgets
    Qt5::Widgets
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Declarative
    KF5::I18n
    KF5::KIOFileWidgets
    KF5::Notifications
    KF5::WaylandClient
    KF5::WidgetsAddons
    KF5::WindowSystem
)

if (SCREENCAST_ENABLED)
    target_link_libraries(xdg-desktop-portal-kde
                          PipeWire::PipeWire
                          ${Epoxy_LIBRARIES}
                          GBM::GBM)
endif()

install(TARGETS xdg-desktop-portal-kde DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES
    qml/AppChooserDialog.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/xdg-desktop-portal-kde/qml)

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.4.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:10:02 +0100

xdg-desktop-portal-kde (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:48:28 +0100

## xdg-desktop-portal-kde 5.18.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
@@ -71,11 +71,6 @@
     WindowSystem
 )
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
-
 add_subdirectory(data)
 add_subdirectory(src)

=== data/CMakeLists.txt ===
configure_file(org.freedesktop.impl.portal.desktop.kde.desktop.in org.freedesktop.impl.portal.desktop.kde.desktop @ONLY)
configure_file(org.freedesktop.impl.portal.desktop.kde.cmake.in org.freedesktop.impl.portal.desktop.kde.service @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES kde.portal DESTINATION ${DATA_INSTALL_DIR}/xdg-desktop-portal/portals)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
xdg-desktop-portal-kde (5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:17:17 +0100

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               kirigami2-dev (>= 5.66.0~),
               libcups2-dev,
               libepoxy-dev,
               libgbm-dev,
               libkf5config-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libpipewire-0.2-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.1.3
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.19.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(xdg-desktop-portal-kde)

set(PROJECT_VERSION "5.19.2")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.14.0")
set(KF5_MIN_VERSION "5.66.0")

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(FeatureSummary)

option(ENABLE_PIPEWIRE "Disable PipeWire support. PipeWire is needed for screen sharing and remote desktop" ON)
if(ENABLE_PIPEWIRE)
    set(HAVE_PIPEWIRE_SUPPORT 1)
else()
    message(STATUS "Disabling PipeWire support")
    set(HAVE_PIPEWIRE_SUPPORT 0)
endif()
add_definitions(-DHAVE_PIPEWIRE_SUPPORT=${HAVE_PIPEWIRE_SUPPORT})

if(HAVE_PIPEWIRE_SUPPORT)
    find_package(PipeWire)
    set_package_properties(PipeWire PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for screencast portal"
    )

    find_package(GBM)
    set_package_properties(GBM PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for screencast portal"
    )

    find_package(Epoxy)
    set_package_properties(Epoxy PROPERTIES DESCRIPTION "libepoxy"
        URL "https://github.com/anholt/libepoxy"
        TYPE REQUIRED
        PURPOSE "Required for screencast portal"
    )
endif()

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    DBus
    PrintSupport
    QuickWidgets
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    CoreAddons
    Config
    I18n
    Declarative
    KIO
    Kirigami2
    Notifications
    Plasma
    Wayland
    WidgetsAddons
    WindowSystem
)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

add_subdirectory(data)
add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
xdg-desktop-portal-kde (5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:47:35 +0100

xdg-desktop-portal-kde (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:43:27 +0100

## xdg-desktop-portal-kde 5.19.3

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,5 +2,9 @@
 configure_file(org.freedesktop.impl.portal.desktop.kde.cmake.in org.freedesktop.impl.portal.desktop.kde.service @ONLY)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
-install(FILES kde.portal DESTINATION ${DATA_INSTALL_DIR}/xdg-desktop-portal/portals)
+if(HAVE_PIPEWIRE_SUPPORT)
+    install(FILES kde.portal DESTINATION ${DATA_INSTALL_DIR}/xdg-desktop-portal/portals)
+else()
+    install(FILES kde-no-pipewire.portal DESTINATION ${DATA_INSTALL_DIR}/xdg-desktop-portal/portals RENAME kde.portal)
+endif()
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
xdg-desktop-portal-kde (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:02:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kirigami2-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               kirigami2-dev (>= 5.70.0~),
                libcups2-dev,
                libepoxy-dev,
                libgbm-dev,
-               libkf5config-dev (>= 5.66.0~),
-               libkf5coreaddons-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5plasma-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.66.0~),
-               libkf5widgetsaddons-dev (>= 5.66.0~),
-               libkf5windowsystem-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5plasma-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
                libpipewire-0.2-dev,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.12.0~),

## xdg-desktop-portal-kde 5.19.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.19.2")
+set(PROJECT_VERSION "5.19.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.14.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:44:20 +0100

## xdg-desktop-portal-kde 5.19.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.19.4")
+set(PROJECT_VERSION "5.19.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.14.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:25 +0900

xdg-desktop-portal-kde (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:44 +0900

xdg-desktop-portal-kde (5.19.5-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 5.17.5-3:
    - drop patches pipewire-0.3-1.patch, pipewire-0.3-2.patch,
      pipewire-0.3-3.patch, and pipewire-0.3-4.patch: fixed upstream

  [ Norbert Preining ]
  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 19:01:21 +0900

xdg-desktop-portal-kde (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
    - Update build dep versions.
    - wrap-and-sort.
  * Remove listed license files (COPYING) from copyright.
  * Remove unused license definitions for LGPL-2.1+.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Enable hardening.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 08:19:13 +0200

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               kirigami2-dev (>= 5.66.0~),
               libcups2-dev,
               libepoxy-dev,
               libgbm-dev,
               libkf5config-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.66.0~),
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libpipewire-0.3-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.12.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
Rules-Requires-Root: no

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.20.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.20.3-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 21:40:29 +0300

xdg-desktop-portal-kde (5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New build depends on plasma-wayland-protocols and qtwayland5-dev-
    tools.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:55:02 +0000

xdg-desktop-portal-kde (5.19.5-0ubuntu3) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 14:05:09 +0300

xdg-desktop-portal-kde (5.19.5-0ubuntu2) groovy; urgency=medium

  * debian/control: Build with libpipewire-0.3-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Sep 2020 11:30:24 +0200

xdg-desktop-portal-kde (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:46 +0100

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               kirigami2-dev (>= 5.70.0~),
               libcups2-dev,
               libepoxy-dev,
               libgbm-dev,
               libkf5config-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               libkf5plasma-dev (>= 5.70.0~),
               libkf5wayland-dev (>= 4:5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libpipewire-0.3-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols,
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwayland5-dev-tools,
Standards-Version: 4.1.3
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.20.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(xdg-desktop-portal-kde)

set(PROJECT_VERSION "5.20.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

################# set KDE specific information #################

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Concurrent
    DBus
    PrintSupport
    QuickWidgets
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    CoreAddons
    Config
    I18n
    Declarative
    KIO
    Kirigami2
    Notifications
    Plasma
    Wayland
    WidgetsAddons
    WindowSystem
)
find_package(Wayland 1.15 REQUIRED COMPONENTS Client)
find_package(PlasmaWaylandProtocols REQUIRED)
find_package(QtWaylandScanner REQUIRED)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

add_subdirectory(data)
add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
xdg-desktop-portal-kde (5.20.4-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:39 +0900

xdg-desktop-portal-kde (5.20.4-2) experimental; urgency=medium

  * Rebuild for Qt transition.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Dec 2020 00:34:56 +0900

xdg-desktop-portal-kde (5.20.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:34 +0900

## xdg-desktop-portal-kde 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.20.4")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== data/CMakeLists.txt ===
configure_file(org.freedesktop.impl.portal.desktop.kde.desktop.in org.freedesktop.impl.portal.desktop.kde.desktop @ONLY)
configure_file(org.freedesktop.impl.portal.desktop.kde.cmake.in org.freedesktop.impl.portal.desktop.kde.service @ONLY)

install(FILES kde.portal DESTINATION ${DATA_INSTALL_DIR}/xdg-desktop-portal/portals)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/CMakeLists.txt ===
add_subdirectory(kirigami-filepicker)

add_definitions(-DTRANSLATION_DOMAIN="xdg-desktop-portal-kde")

include_directories(${Qt5PrintSupport_PRIVATE_INCLUDE_DIRS})

set(xdg_desktop_portal_kde_SRCS
    xdg-desktop-portal-kde.cpp
    access.cpp
    accessdialog.cpp
    account.cpp
    appchooser.cpp
    appchooserdialog.cpp
    background.cpp
    desktopportal.cpp
    email.cpp
    filechooser.cpp
    inhibit.cpp
    notification.cpp
    print.cpp
    request.cpp
    session.cpp
    screenshot.cpp
    screenshotdialog.cpp
    settings.cpp
    utils.cpp
    userinfodialog.cpp
    waylandintegration.cpp
    screencast.cpp
    screencasting.cpp
    screencastwidget.cpp
    screenchooserdialog.cpp
    remotedesktop.cpp
    remotedesktopdialog.cpp
)

ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
    accessdialog.ui
    appchooserdialog.ui
    screenshotdialog.ui
    userinfodialog.ui
    screenchooserdialog.ui
    remotedesktopdialog.ui
)

ecm_add_qtwayland_client_protocol(xdg_desktop_portal_kde_SRCS
    PROTOCOL ${PLASMA_WAYLAND_PROTOCOLS_DIR}/screencast.xml
    BASENAME zkde-screencast-unstable-v1
)

set_source_files_properties(../data/org.freedesktop.Accounts.User.xml PROPERTIES NO_NAMESPACE TRUE)

qt5_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Accounts.User.xml user_interface)

add_executable(xdg-desktop-portal-kde ${xdg_desktop_portal_kde_SRCS})

target_link_libraries(xdg-desktop-portal-kde
    Qt5::Core
    Qt5::DBus
    Qt5::Concurrent
    Qt5::PrintSupport
    Qt5::QuickWidgets
    Qt5::Widgets
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Declarative
    KF5::I18n
    KF5::KIOFileWidgets
    KF5::Notifications
    KF5::Service
    KF5::WaylandClient
    KF5::WidgetsAddons
    KF5::WindowSystem
    KirigamiFilepicker
    Wayland::Client
)

install(TARGETS xdg-desktop-portal-kde DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(FILES
    qml/AppChooserDialog.qml
    qml/UserInfoDialog.qml
    DESTINATION ${KDE_INSTALL_DATADIR}/xdg-desktop-portal-kde/qml)

install(FILES
    xdg-desktop-portal-kde.notifyrc
    DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== debian/changelog ===
xdg-desktop-portal-kde (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:54 +0900

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               kirigami2-dev (>= 5.74.0~),
               libcups2-dev,
               libepoxy-dev,
               libgbm-dev,
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5plasma-dev (>= 5.74.0~),
               libkf5wayland-dev (>= 4:5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               libpipewire-0.3-dev,
               libqt5waylandclient5-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-wayland-protocols,
               qtbase5-dev (>= 5.15.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.0~),
               qtwayland5-dev-tools,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/xdg-desktop-portal-kde
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
Rules-Requires-Root: no

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.20.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.20.90")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.78")
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:52 +0000

## xdg-desktop-portal-kde 5.21.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:52 +0000

## xdg-desktop-portal-kde 5.21.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.20.90")
+set(PROJECT_VERSION "5.21.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:08:13 +0000

## xdg-desktop-portal-kde 5.21.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.21.1")
+set(PROJECT_VERSION "5.21.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:14:39 +0000

## xdg-desktop-portal-kde 5.21.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:37:09 +0000

## xdg-desktop-portal-kde 5.21.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.21.2")
+set(PROJECT_VERSION "5.21.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:44 +0100

## xdg-desktop-portal-kde 5.21.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.21.4")
+set(PROJECT_VERSION "5.21.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:04:38 +0100

## xdg-desktop-portal-kde 5.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.21.5")
+set(PROJECT_VERSION "5.22.0")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.78")
+set(KF5_MIN_VERSION "5.82")
 
 ################# set KDE specific information #################
 
@@ -15,8 +15,9 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 include(FeatureSummary)
 
@@ -46,10 +47,8 @@
 find_package(PlasmaWaylandProtocols REQUIRED)
 find_package(QtWaylandScanner REQUIRED)
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050c00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 
 add_subdirectory(data)
 add_subdirectory(src)
@@ -57,6 +56,7 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:36:03 +0100

## xdg-desktop-portal-kde 5.22.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:12:54 +0100

## xdg-desktop-portal-kde 5.22.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 19:00:09 +0100

## xdg-desktop-portal-kde 5.22.2.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:57:38 +0100

## xdg-desktop-portal-kde 5.22.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               kirigami2-dev (>= 5.74.0~),
+               kirigami2-dev (>= 5.82.0~),
                libcups2-dev,
                libepoxy-dev,
                libgbm-dev,
-               libkf5config-dev (>= 5.74.0~),
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5declarative-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5kio-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5plasma-dev (>= 5.74.0~),
-               libkf5wayland-dev (>= 4:5.74.0~),
-               libkf5widgetsaddons-dev (>= 5.74.0~),
-               libkf5windowsystem-dev (>= 5.74.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5wayland-dev (>= 4:5.82.0~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
                libpipewire-0.3-dev,
                libqt5waylandclient5-dev,
                pkg-kde-tools (>= 0.15.18~),

## xdg-desktop-portal-kde 5.22.4

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:45:05 +0100

## xdg-desktop-portal-kde 5.22.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xdg-desktop-portal-kde)
+set(PROJECT_VERSION "5.22.5")
+set(PROJECT_VERSION_MAJOR 5)
 
-set(PROJECT_VERSION "5.22.0")
-set(PROJECT_VERSION_MAJOR 5)
+project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
 set(KF5_MIN_VERSION "5.82")

=== debian/changelog ===
xdg-desktop-portal-kde (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:52:12 +0200

## xdg-desktop-portal-kde 5.23.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:55:01 +0100

## xdg-desktop-portal-kde 5.23.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "5.22.5")
+set(CMAKE_C_STANDARD 99)
+
+set(PROJECT_VERSION "5.23.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 project(xdg-desktop-portal-kde VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 ################# set KDE specific information #################

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
     filechooser.cpp
     inhibit.cpp
     notification.cpp
+    notificationinhibition.cpp
     print.cpp
     request.cpp
     session.cpp
@@ -50,17 +51,17 @@
 
 set_source_files_properties(../data/org.freedesktop.Accounts.User.xml PROPERTIES NO_NAMESPACE TRUE)
 
-qt5_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Accounts.User.xml user_interface)
+qt_add_dbus_interface(xdg_desktop_portal_kde_SRCS ../data/org.freedesktop.Accounts.User.xml user_interface)
 
 add_executable(xdg-desktop-portal-kde ${xdg_desktop_portal_kde_SRCS})
 
 target_link_libraries(xdg-desktop-portal-kde
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Concurrent
-    Qt5::PrintSupport
-    Qt5::QuickWidgets
-    Qt5::Widgets
+    Qt::Core
+    Qt::DBus
+    Qt::Concurrent
+    Qt::PrintSupport
+    Qt::QuickWidgets
+    Qt::Widgets
     KF5::CoreAddons
     KF5::ConfigCore
     KF5::Declarative
@@ -84,4 +85,4 @@
 
 install(FILES
     xdg-desktop-portal-kde.notifyrc
-    DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+    DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})

=== debian/changelog ===
xdg-desktop-portal-kde (5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:52:33 +0000
